Name:             idlj-maven-plugin
Version:          1.2.1
Release:          %mkrel 3
Group:            Development/Java
Summary:          The CORBA IDL Compiler Maven Plugin 
License:          ASL 2.0
URL:              http://mojo.codehaus.org/idlj-maven-plugin

# svn export http://svn.codehaus.org/mojo/tags/idlj-maven-plugin-1.2.1 idlj-maven-plugin-1.2.1
# tar cafJ idlj-maven-plugin-1.2.1.tar.xz idlj-maven-plugin-1.2.1
Source0:          idlj-maven-plugin-%{version}.tar.xz
Source1:          LICENSE-2.0.txt

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mojo-parent
BuildRequires:    plexus-utils
BuildRequires:    plexus-compiler
BuildRequires:    jacorb
BuildRequires:    junit
BuildRequires:    avalon-logkit
BuildRequires:    mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:    mvn(avalon:avalon-logkit)

%description
The CORBA IDL Compiler Maven Plugin is used for processing IDL files into java sources.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n idlj-maven-plugin-%{version}

sed -i "s|>plexus<|>org.codehaus.plexus<|g" pom.xml
sed -i "s|>idl-compiler<|>jacorb-idl-compiler<|g" pom.xml

cp %{SOURCE1} .

%build
# Failed tests because of DEBUG: java.lang.NoClassDefFoundError: org/apache/maven/artifact/DependencyResolutionRequiredException
# Mabye related to http://jira.codehaus.org/browse/MNG-5449 ?
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 545327
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 1.2.1-2.mga4
+ Revision: 501106
- Build with xmvn
- Restore from Obsolete
- Package is retired

  + fwang <fwang>
    - revert previous status

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 291310
- imported package idlj-maven-plugin


* Fri Aug 05 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 131840
- Fix typo
- Fix buildrequires
- Fix buildrequires
- Fix groups

  + gil <gil>
    - imported package idlj-maven-plugin


* Mon Jun 27 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm
